﻿Imports C1.C1Schedule

Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        C1Schedule1.PrintInfo.IsPrintingEnabled = False

        Dim dt As DateTime = DateTime.Now

        Dim app As New Appointment
        app.Subject = "Conference Call"
        app.Start = New DateTime(dt.Year, dt.Month, dt.Day, 9, 0, 0)
        app.End = app.Start.AddMinutes(30)
        C1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app)

        app = New Appointment
        app.Subject = "RoadMap meeting"
        app.Start = New DateTime(dt.Year, dt.Month, dt.Day, 11, 0, 0)
        app.End = app.Start.AddMinutes(30)
        C1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app)

        app = New Appointment
        app.Subject = "Out Station Tour"
        app.Start = New DateTime(dt.Year, dt.Month, dt.Day, 14, 0, 0)
        app.End = app.Start.AddMinutes(30)
        C1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app)

    End Sub

    Private Sub C1Schedule1_BeforeAppointmentFormat(ByVal sender As Object, ByVal e As C1.Win.C1Schedule.BeforeAppointmentFormatEventArgs) Handles C1Schedule1.BeforeAppointmentFormat
        If C1Schedule1.SelectedAppointments.Contains(e.Appointment) Then
            e.BackColor = Color.Blue
        Else
            e.BackColor = e.Appointment.Label.Color
        End If
    End Sub

    Private Sub C1Schedule1_SelectedAppointmentsChanged(ByVal sender As Object, ByVal e As C1.Win.C1Schedule.SelectedAppointmentsChangedEventArgs) Handles C1Schedule1.SelectedAppointmentsChanged
        For Each app As Appointment In C1Schedule1.DataStorage.AppointmentStorage.Appointments
            If C1Schedule1.SelectedAppointments.Contains(app) Then
                app.Tag = "change"
            Else
                app.Tag = Nothing
            End If
        Next
    End Sub

End Class


